OGRE: Ogre::LodConfig Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::LodConfig Struct Reference

`#include <OgreLodConfig.h>`

## Classes
struct | Advanced

## Public Types
typedef vector< LodLevel >::type | LodLevelList
| Lod strategy to use. More...

## Public Member Functions
| LodConfig ()
| LodConfig (v1::MeshPtr &_mesh, LodStrategy *_strategy=DistanceLodStrategy::getSingletonPtr())
| Info about Lod levels. More...
void | createGeneratedLodLevel (Ogre::Real distance, Real reductionValue, LodLevel::VertexReductionMethod reductionMethod=LodLevel::VRM_PROPORTIONAL)
void | createManualLodLevel (Ogre::Real distance, const String &manualMeshName)

## Public Attributes
struct _OgreLodExport Ogre::LodConfig::Advanced | advanced
LodLevelList | levels
v1::MeshPtr | mesh
LodStrategy * | strategy
| The mesh which we want to reduce. More...

## Member Typedef Documentation

## ◆ LodLevelList

typedef vector<LodLevel>::type Ogre::LodConfig::LodLevelList

Lod strategy to use.

## Constructor & Destructor Documentation

## ◆ LodConfig() [1/2]

Ogre::LodConfig::LodConfig | ( | v1::MeshPtr & | _mesh,
|  | LodStrategy * | _strategy = `DistanceLodStrategy::getSingletonPtr()`
| ) |  |

Info about Lod levels.

## ◆ LodConfig() [2/2]

Ogre::LodConfig::LodConfig | ( |  | ) |

## Member Function Documentation

## ◆ createGeneratedLodLevel()

void Ogre::LodConfig::createGeneratedLodLevel | ( | Ogre::Real | distance,
|  | Real | reductionValue,
|  | LodLevel::VertexReductionMethod | reductionMethod = `LodLevel::VRM_PROPORTIONAL`
| ) |  |

## ◆ createManualLodLevel()

void Ogre::LodConfig::createManualLodLevel | ( | Ogre::Real | distance,
|  | const String & | manualMeshName
| ) |  |

## Member Data Documentation

## ◆ advanced

struct _OgreLodExport Ogre::LodConfig::Advanced Ogre::LodConfig::advanced

## ◆ levels

LodLevelList Ogre::LodConfig::levels

## ◆ mesh

v1::MeshPtr Ogre::LodConfig::mesh

## ◆ strategy

LodStrategy* Ogre::LodConfig::strategy

The mesh which we want to reduce.

The documentation for this struct was generated from the following file:

- OgreLodConfig.h